#ifndef INCLUDED_snow_platform_native_input_sdl_KeyEventTypes
#define INCLUDED_snow_platform_native_input_sdl_KeyEventTypes

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS5(snow,platform,native,input,sdl,KeyEventType)
HX_DECLARE_CLASS5(snow,platform,native,input,sdl,KeyEventTypes)
namespace snow{
namespace platform{
namespace native{
namespace input{
namespace sdl{


class HXCPP_CLASS_ATTRIBUTES  KeyEventTypes_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef KeyEventTypes_obj OBJ_;
		KeyEventTypes_obj();
		Void __construct();

	public:
		inline void *operator new( size_t inSize, bool inContainer=false)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< KeyEventTypes_obj > __new();
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~KeyEventTypes_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		::String __ToString() const { return HX_CSTRING("KeyEventTypes"); }

		static int ke_down;
		static int ke_up;
		static int ke_textedit;
		static int ke_textinput;
		static ::snow::platform::native::input::sdl::KeyEventType typed( int ke_type);
		static Dynamic typed_dyn();

};

} // end namespace snow
} // end namespace platform
} // end namespace native
} // end namespace input
} // end namespace sdl

#endif /* INCLUDED_snow_platform_native_input_sdl_KeyEventTypes */ 
